Bug 1161967 - [abrt] sddm: qt_message_fatal(): sddm-greeter killed by SIGABRT
Summary: [abrt] sddm: qt_message_fatal(): sddm-greeter killed by SIGABRT
Status: CLOSED DUPLICATE of bug 1370222
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:30118baf4f1219009f0dee7d304...
Keywords: Reopened
: 1403340 1415326 1430938 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-09 21:50 UTC by Bojan Ilievski
Modified: 2017-03-09 22:51 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-19 05:51:37 UTC


Attachments (Terms of Use)
File: backtrace (16.42 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: cgroup (190 bytes, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: core_backtrace (4.71 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: dso_list (7.80 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: environ (2.44 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: maps (36.10 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: open_fds (135 bytes, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
File: var_log_messages (149 bytes, text/plain)
2014-11-09 21:51 UTC, Bojan Ilievski
no flags Details
kernel-4.9.8 journal entries with sddm-greeter (9.92 KB, text/plain)
2017-02-19 05:13 UTC, Michael Carney
no flags Details

Description Bojan Ilievski 2014-11-09 21:50:57 UTC
Version-Release number of selected component:
sddm-0.10.0-2.fc22

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        sddm-greeter
crash_function: qt_message_fatal
executable:     /usr/bin/sddm-greeter
kernel:         3.18.0-0.rc3.git4.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1411
 #3 QMessageLogger::fatal at global/qlogging.cpp:639
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:346
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:155
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1011
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1166
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1183

Comment 1 Bojan Ilievski 2014-11-09 21:51:01 UTC
Created attachment 955578 [details]
File: backtrace

Comment 2 Bojan Ilievski 2014-11-09 21:51:03 UTC
Created attachment 955579 [details]
File: cgroup

Comment 3 Bojan Ilievski 2014-11-09 21:51:04 UTC
Created attachment 955580 [details]
File: core_backtrace

Comment 4 Bojan Ilievski 2014-11-09 21:51:06 UTC
Created attachment 955581 [details]
File: dso_list

Comment 5 Bojan Ilievski 2014-11-09 21:51:08 UTC
Created attachment 955582 [details]
File: environ

Comment 6 Bojan Ilievski 2014-11-09 21:51:10 UTC
Created attachment 955583 [details]
File: limits

Comment 7 Bojan Ilievski 2014-11-09 21:51:12 UTC
Created attachment 955584 [details]
File: maps

Comment 8 Bojan Ilievski 2014-11-09 21:51:14 UTC
Created attachment 955585 [details]
File: open_fds

Comment 9 Bojan Ilievski 2014-11-09 21:51:15 UTC
Created attachment 955586 [details]
File: proc_pid_status

Comment 10 Bojan Ilievski 2014-11-09 21:51:17 UTC
Created attachment 955587 [details]
File: var_log_messages

Comment 11 Martin Bříza 2014-12-04 14:43:49 UTC
Qt bug, sddm can't do anything about this

Comment 12 Kevin Kofler 2014-12-04 19:04:59 UTC
    if (!m_connection || xcb_connection_has_error(m_connection))
        qFatal("QXcbConnection: Could not connect to display %s", m_displayName.constData());

I don't think it's fair to blame Qt for failing to bring up a GUI if it can't connect to the X server. The problem must be somewhere else.

Comment 13 Kevin Kofler 2014-12-04 21:42:11 UTC
Apparently, the DISPLAY= environment variable is not set. It's no wonder Qt cannot connect to the display "". This is not a Qt bug. Either the issue lies in SDDM, or lower in the stack.

Comment 14 Jaroslav Reznik 2015-03-03 16:29:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 15 Lewis Eason 2015-06-10 09:31:10 UTC
Another user experienced a similar problem:

Clean install Fedora 22 (KDE Spin) on a Dell Optiplex 745 w:
* Intel(R) Core(TM)2 CPU
* 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV370 [Radeon X300]

Boot completes successfully, but instead of the greeter, a black screen is displayed, and dmesg reports:

> [   45.496872] sddm-greeter[1349]: segfault at 8 ip 00007f1f48aa3eb8 sp 00007ffdf373b930 error 4 in r300_dri.so[7f1f485b9000+7b7000]

So presumably a driver issue. Switching to another TTY, logging in and running `startx` works as expected.

Thanks

reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        sddm-greeter --test-mode
crash_function: qt_message_fatal
executable:     /usr/bin/sddm-greeter
global_pid:     20034
kernel:         4.0.4-301.fc22.x86_64
package:        sddm-0.10.0-4.fc22
reason:         sddm-greeter killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0

Comment 16 Fedora End Of Life 2016-07-19 12:23:18 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Raphael Groner 2016-12-09 17:40:57 UTC

*** This bug has been marked as a duplicate of bug 1403340 ***

Comment 18 Igor Gnatenko 2017-01-20 21:35:22 UTC
*** Bug 1415326 has been marked as a duplicate of this bug. ***

Comment 19 Igor Gnatenko 2017-01-20 21:35:26 UTC
*** Bug 1403340 has been marked as a duplicate of this bug. ***

Comment 20 Igor Gnatenko 2017-01-20 21:36:17 UTC
Closing as duplicate for private bug is not best idea ;)

Comment 21 Michael Carney 2017-02-19 05:13 UTC
Created attachment 1255347 [details]
kernel-4.9.8 journal entries with sddm-greeter

Comment 22 Michael Carney 2017-02-19 05:15:42 UTC
I started seeing this problem in F25 when kernel-4.9.9 arrived. Relevant journal entries:

Feb 18 18:12:53 lucy-001 sddm-greeter[1156]: High-DPI autoscaling Not Enabled
Feb 18 18:12:53 lucy-001 audit[1156]: ANOM_ABEND auid=4294967295 uid=997 gid=994 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 pid=1156 comm="sddm-greeter" exe="/usr/bin/sddm-greeter" sig=6
Feb 18 18:12:53 lucy-001 sddm-greeter[1156]: QXcbConnection: Could not connect to display :0
Feb 18 18:12:53 lucy-001 abrt-hook-ccpp[1179]: Process 1156 (sddm-greeter) of user 997 killed by SIGABRT - dumping core

For a successful boot with 4.9.8, see attachment -- although those sddm-greeter messages are interesting by themselves.

Comment 23 Rex Dieter 2017-02-19 05:17:36 UTC
Likely a dup of bug #1370222

Tracks one case where xauth gets invalidated due to hostname changes

*** This bug has been marked as a duplicate of bug 1370222 ***

Comment 24 Michael Carney 2017-02-19 05:20:34 UTC
Rex, that might be interesting except for the fact that my machine has a statically allocated IP address/hostname. It never changes. So why would this problem be a duplicate of 1370222?

Comment 25 Rex Dieter 2017-02-19 05:32:32 UTC
OK, I only said likely.

So, we're back to wondering why X connections are being refused. :(

Comment 26 Michael Carney 2017-02-19 05:37:54 UTC
Actually, Rex -- you are on the right track. Turns out my /etc/hostname was set to localhost.localdomain, whereas my systems hostname is lucy-001. Changing them both to lucy-001 means sddm-greeter on 4.9.9 doesn't crash anymore, and therefore I can log into the desktop again. Why this mismatch between /etc/hostname and NetworkManager's notion of hostname didn't cause a problem for me until 4.9.9 is unknown. Shrug. ;)

Comment 27 Rex Dieter 2017-02-19 05:51:37 UTC
ok, let's go back to considering it a dup

*** This bug has been marked as a duplicate of bug 1370222 ***

Comment 28 Gerald Cox 2017-02-19 13:11:58 UTC
Can confirm that changing /etc/hostname from localhost resolved the issue for me.

Comment 29 david 2017-03-09 22:51:57 UTC
*** Bug 1430938 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.